MOBILEMONEY
How to use MOBILEMONEY to submit a payin in Ghana.
Last updated
{
"code": "10000",
"msg": "Success",
"out_trade_no": "out***300",
"trade_no": "20240***34",
"web_url": "https://checkout.pagsmile.com?prepay_id=UloyV0l3NFFyW***DTT0=-645a8F4c",
"prepay_id": "UloyV0l3NFFyW***DTT0=-645a8F4c"
}{
"code": "40002",
"msg": "Business Failed",
"sub_code": "duplicate-out_trade_no",
"sub_msg": "out_trade_no is duplicate"
}curl --location --request POST 'https://gateway-test.pagsmile.com/trade/create' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--header 'Content-Type: application/json' \
--data-raw '{
* "app_id": "1649***56",
* "out_trade_no": "out***3300",
* "order_currency": "GHS",
* "method": "MOBILEMONEY",
* "order_amount": "100",
* "subject": "pagsmile test ",
"content": "pagsmile test ",
* "trade_type": "WEB",
* "timestamp": "2024-07-04 18:50:42",
* "notify_url": "http://demo.gemini-tiger.cn/callback/success",
* "buyer_id": "buyer52023",
* "version": "2.0",
* "customer" : {
* "email": "Test name@gmail.com",
* "phone": "233******000"
}
}Pagsmile.setPublishableKey({
app_id: "166****044", //Use your own app_id taken from the dashboard.
public_key: "Pagsmile_sk_47****59728d70e9a", //Use your own key taken from the dashboard.
env: "sandbox",
region_code: "EAK",
prepay_id:
"UloyV0l3NFFyW***DTT0=-645a8F4c",
})
.then((clientInstance) => {
console.log("successfully initiated!");
document
.getElementById("submit-pay")
.addEventListener("click", function (e) {
clientInstance
.createOrder()
.then((res) => {
console.log("res: ", res);
})
.catch((err) => {
console.log("Error: ", err);
});
});
})
.catch((err) => {
console.log("Error: ", err);
});
{
status: "success", // successfully created order
query: true, // use backend query for transaction status
auth_type: "STK_PROMPT", // user needs to confirm the transaction on mobile app
}